Package org.eclipse.emf.compare.ide.ui.internal.logical.resolver

# Class LocalMonitoredProxyCreationListener

java.lang.Object
org.eclipse.emf.compare.ide.ui.internal.logical.resolver.AbstractMonitoredProxyCreationListener
org.eclipse.emf.compare.ide.ui.internal.logical.resolver.LocalMonitoredProxyCreationListener

All Implemented Interfaces:
  `IProxyCreationListener`

public class LocalMonitoredProxyCreationListener extends AbstractMonitoredProxyCreationListener
Implementation of `IProxyCreationListener` for local resolutions.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final com.google.common.eventbus.EventBus`
`eventBus`
The event bus to use to notify interesting events.
`protected final IResourceDependencyLocalResolver`
`localResolver`
The local resolver.
`protected final boolean`
`processProxies`
Whether this listener should process proxies.

### Fields inherited from class org.eclipse.emf.compare.ide.ui.internal.logical.resolver.AbstractMonitoredProxyCreationListener

`diagnostic, tspm`

## Constructor Summary

Constructors
Constructor
Description
`LocalMonitoredProxyCreationListener(ThreadSafeProgressMonitor monitor, com.google.common.eventbus.EventBus eventBus, IResourceDependencyLocalResolver localResolver, DiagnosticSupport diagnostic)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`proxyCreated(Resource source, EObject eObject, EStructuralFeature feature, EObject proxy, int position)`
This will be called when a proxy is created from one of the parser pool's parsers.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### eventBus

protected final com.google.common.eventbus.EventBus eventBus
The event bus to use to notify interesting events.

### localResolver

protected final IResourceDependencyLocalResolver localResolver
The local resolver.

### processProxies

protected final boolean processProxies
Whether this listener should process proxies.

## Constructor Details

### LocalMonitoredProxyCreationListener

public LocalMonitoredProxyCreationListener(ThreadSafeProgressMonitor monitor, com.google.common.eventbus.EventBus eventBus, IResourceDependencyLocalResolver localResolver, DiagnosticSupport diagnostic)
Constructor.

Parameters:
  `monitor` - The progress monitor to use
  `eventBus` - The event bus
  `dependencyProvider` - The dependency provider
  `diagnostic` - The diagnostic

## Method Details

### proxyCreated

public void proxyCreated(Resource source, EObject eObject, EStructuralFeature feature, EObject proxy, int position)
This will be called when a proxy is created from one of the parser pool's parsers.

Parameters:
  `source` - The resource in which a proxy has been created towards another.
  `eObject` - The EObject on which some feature is going to be set with a proxy value.
  `feature` - The structural feature which value will contain a proxy.
  `proxy` - The actual proxy created for this eObject's feature.
  `position` - Position at which the proxy is going to be inserted. This will be set to `-1` when the proxy is added at the end of the `eStructuralFeature`'s values list (for multi-valued features) or if said feature is single-valued.